Loading...
Searching...
No Matches
step_object Struct Reference

Python representation of addrxlat_step_t. More...

## Data Fields

PyObject_HEAD addrxlat_step_t | step
| Standard Python object header.
PyObject * | ctx
| Translation context.
PyObject * | sys
| Translation system.
PyObject * | meth
| Translation method.
PyObject * | base
| FullAddress object for `base`.
param_loc | loc [STEP_NLOC]
| Location configuration for `step`.
PyObject * | convert

## Detailed Description

Python representation of addrxlat_step_t.

## Field Documentation

## step

PyObject_HEAD addrxlat_step_t step_object::step

Standard Python object header.

Translation step in libaddrxlat format.

The documentation for this struct was generated from the following file:

- python/addrxlat.c